﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UserInput.ascx.cs" Inherits="Filosofparken.Views.User.UserInput" %>
<%@ OutputCache Duration="5" VaryByParam="None" %>
<script language="javascript" type="text/javascript">
  window.onload = fillForm;

  function fillForm() {  
    setSelectedOption(document.getElementById('Block'), document.getElementById('User.Block').value);
    fillApartments(true);
    setSelectedOption(document.getElementById('Apartment'), document.getElementById('User.Apartment').value);       
  }

  function removeOptions(cbo) {
    while (cbo.length > 0) {
	    cbo.remove(cbo.length - 1)
    }
  }

  function setSelectedOption(cbo, selectedOption) {
    for (var i = 0; i < cbo.length; i++) {
      if (selectedOption == cbo.options[i].value) {
  	    cbo.options[i].selected = true;
	      break;
	    }
    }
  }

  function addOption(cbo, value, text) {
    cbo.options[cbo.options.length] = new Option(text, value)
  }
     
  function fillApartments(formload) { 
    var block = document.getElementById("Block").value;
    var apartment = document.getElementById("Apartment");   

    removeOptions(apartment);       
    addOption(apartment, 'None', 'Select one');

    if (block == 'RUC Ungdomsboliger') {
      for (var i = 1; i <= 11; i++) {
        var s = '522, door ' + i;
        addOption(apartment, s, s);
      }
      for (var i = 12; i <= 22; i++) {
        var s = '522, door ' + i;
        addOption(apartment, s, s);     
      }
      for (var i = 23; i <= 32; i++) {
        var s = '524, door ' + i;
        addOption(apartment, s, s);     
      }
      for (var i = 33; i <= 43; i++) {
        var s = '524, door ' + i;
        addOption(apartment, s, s);     
      }
      for (var i = 45; i <= 50; i++) {
        var s = '526, door ' + i;
        addOption(apartment, s, s);     
      }
      for (var i = 51; i <= 65; i++) {
        var s = '526, door ' + i;
        addOption(apartment, s, s);     
      }
      for (var i = 66; i <= 80; i++) {
        var s = '526, door ' + i;
        addOption(apartment, s, s);     
      }      
    }
    if (block == 'Sokrates')
      populateWithRange(apartment, 2, 86); 
    if (block == 'Erasmus')
      populateWithRange(apartment, 90, 174); 
    if (block == 'Leonardo')
      populateWithRange(apartment, 176, 260); 
    if (block == 'Demokrit')
      populateWithRange(apartment, 262, 346); 
    if (block == 'Kant')
      populateWithRange(apartment, 348, 432); 
    if (block == 'Kierkegaard')
      populateWithRange(apartment, 436, 520);       
    
    if (!formload)       
      updateHiddenFields();
  }
  
  function populateWithRange(cbo, min, max) {
    for (var i = min; i <= max; i += 2)
      addOption(cbo, i, i);       
  }
  
  function updateHiddenFields() {
    document.getElementById('User.Block').value = document.getElementById('Block').value;
    document.getElementById('User.Apartment').value = document.getElementById('Apartment').value; 
  }
</script>
* marks required fields.
<br /><br />
<table>
  <tr>
    <td>Username:</td>
    <td><%=Html.TextBox("User.Username", ViewData.User.Username, 40, 0) %> *</td>
  </tr>
  <tr>
    <td>Password:</td>
    <td><%=Html.Password("User.Password", 40, ViewData.User.Password) %> * </td>
  </tr>
  <tr>
    <td>Real name:</td>
    <td><%=Html.TextBox("User.RealName", ViewData.User.RealName, 40, 0) %> *</td>
  </tr>
  <tr>
    <td>Block:</td>
    <td>
      <select id="Block" name="Block" onchange="fillApartments(false)">
        <option value="None">Select one (based on apartment)</option>
        <option value="Sokrates">Sokrates (2-86)</option>
        <option value="Erasmus">Erasmus (90-174)</option>
        <option value="Leonardo">Leonardo (176-260)</option>
        <option value="Demokrit">Demokrit (262-346)</option>
        <option value="Kant">Kant (348-432)</option>
        <option value="Kierkegaard">Kierkegaard (436-520)</option>
        <option value="RUC Ungdomsboliger">RUC Ungdomsboliger (522-526)</option>
      </select> *
    </td>
  </tr>
  <tr>
    <td>Apartment:</td>
    <td>
      <select id="Apartment" name="Apartment" onchange="updateHiddenFields()"></select> * 
    </td>
  </tr>  
  <tr>
    <td>Phone:</td>
    <td><%=Html.TextBox("User.Phone", ViewData.User.Phone, 40, 0) %> </td>
  </tr>
  <tr>
    <td>Email:</td>
    <td><%=Html.TextBox("User.Email", ViewData.User.Email, 40, 0) %> * <%=ViewData.User.Validation == DateTime.Parse("1/1/1900") || ViewData.User.Validation == DateTime.Parse("1/1/0001") ? "(Not validated)" : "(Validated)"%>
</td>
  </tr>
  <tr>
    <td>Infomails:</td>
    <td>
      <select name="User.Infomails">
        <option value="true" <%=ViewData.User.Infomails ? "selected=\"true\"" : "" %>>Yes</option>
        <option value="false" <%=ViewData.User.Infomails ? "" : "selected=\"true\"" %>>No</option>
      </select>
    </td> 
  </tr>  
</table>
<br />
Be sure to type in a working email address. A verification email will be sent to that address 
and you'll have to click the link in the email for your computer to remain online. The "Validated" 
or "Not validated" text next to the email address indicates whether you've clicked the link 
in the verification email or not. If you haven't received the verification email or lost it, you
can always request a new one by clicking the "Retrieve lost account info" on the menu to the left.
<br /><br />
The "Infomails" option indicates whether you want to receive email about what's going on at
Filosofparken, i.e., news from the board or Downunder. Receiving email from the IT group, 
however, is mandatory.
<br /><br />

<!-- data-carrying fields -->
<input type="hidden" id="User.Block" name="User.Block" value="<%=ViewData.User.Block %>" />
<input type="hidden" id="User.Apartment" name="User.Apartment" value="<%=ViewData.User.Apartment %>" />